Bug 1167001 - [abrt] WARNING: CPU: 1 PID: 3359 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x62/0x90() [NEEDINFO]
Summary: [abrt] WARNING: CPU: 1 PID: 3359 at fs/block_dev.c:67 bdev_inode_switch_bdi+0...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9a25c03431c000cf601fe0b0ec6...
: 1169060 1192693 1192829 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-22 14:27 UTC by doctorvollgas
Modified: 2015-11-23 17:10 UTC (History)
56 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-23 17:10:38 UTC
tibbs: needinfo?


Attachments (Terms of Use)
File: dmesg (68.89 KB, text/plain)
2014-11-22 14:27 UTC, doctorvollgas
no flags Details

Description doctorvollgas 2014-11-22 14:27:19 UTC
Description of problem:
Upgraded from Fedora 20 to Fedora 22 (rawhide) using FedUp

Additional info:
reporter:       libreport-2.3.0
WARNING: CPU: 1 PID: 3359 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x62/0x90()
Modules linked in: vfat fat uas usb_storage rfcomm fuse ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack bnep ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw btusb bluetooth arc4 brcmsmac cordic brcmutil b43 mac80211 cfg80211 ssb mmc_core acer_wmi snd_hda_codec_conexant snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm uvcvideo joydev videobuf2_vmalloc videobuf2_core videobuf2_memops snd_timer v4l2_common videodev snd media iTCO_wdt iTCO_vendor_support lpc_ich
 mfd_core sparse_keymap rfkill coretemp intel_ips kvm_intel bcma soundcore serio_raw i2c_i801 kvm crc32c_intel mei_me mei shpchp acpi_cpufreq nouveau i915 broadcom mxm_wmi ttm i2c_algo_bit drm_kms_helper tg3 drm ptp pps_core wmi video
CPU: 1 PID: 3359 Comm: umount Not tainted 3.18.0-0.rc4.git0.1.fc22.x86_64 #1
Hardware name: Acer             TravelMate8572TG /BAP50-CP        , BIOS V1.27   04/25/2011
 0000000000000000 0000000046906f2f ffff880141b63d68 ffffffff81754d45
 0000000000000000 0000000000000000 ffff880141b63da8 ffffffff81093161
 0000000000000000 ffff88008ee204b8 ffff88008ee20430 ffffffff81c67d40
Call Trace:
 [<ffffffff81754d45>] dump_stack+0x46/0x58
 [<ffffffff81093161>] warn_slowpath_common+0x81/0xa0
 [<ffffffff8109327a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff812481d2>] bdev_inode_switch_bdi+0x62/0x90
 [<ffffffff81248e48>] __blkdev_put+0x78/0x1c0
 [<ffffffff81249910>] blkdev_put+0x50/0x140
 [<ffffffff812110f1>] kill_block_super+0x41/0x80
 [<ffffffff81211439>] deactivate_locked_super+0x49/0x60
 [<ffffffff8121188c>] deactivate_super+0x6c/0x80
 [<ffffffff8122f7b3>] cleanup_mnt+0x43/0xa0
 [<ffffffff8122f862>] __cleanup_mnt+0x12/0x20
 [<ffffffff810b0544>] task_work_run+0xd4/0xf0
 [<ffffffff81013e27>] do_notify_resume+0x97/0xb0
 [<ffffffff8175bd07>] int_signal+0x12/0x17

Comment 1 doctorvollgas 2014-11-22 14:27:26 UTC
Created attachment 960164 [details]
File: dmesg

Comment 2 Josh Boyer 2014-12-01 13:31:19 UTC
*** Bug 1169060 has been marked as a duplicate of this bug. ***

Comment 3 Jeff Moyer 2014-12-01 20:08:37 UTC
That's this warn_on:
                WARN_ON_ONCE(write_inode_now(inode, true));

What were the circumstances surrounding this?  Was it during boot?  Shutdown?  Can you reproduce it?

There's a pretty long list of places within write_inode_now that can return failure.  At the very least, we should figure out what the error is.  Josh, can we put an instrumentation patch into fedora to figure this out?

Comment 4 Jacek Pawlyta 2014-12-01 20:41:36 UTC
Jeff,

As far as I remember the bug occured during system boot

Comment 5 Jeff Moyer 2014-12-01 20:53:48 UTC
(In reply to Jacek Pawlyta from comment #4)
> Jeff,
> 
> As far as I remember the bug occured during system boot

Thanks, Jacek.  It looks like you had quite a few issues with device /dev/sdb.  Do you know what device that is, and why it might be having issues?

Comment 6 Jacek Pawlyta 2014-12-01 21:23:26 UTC
Jeff, 

I think it is an old 8 GB flash drive, I cannot check it again because I do not have it handy now. Maybe I should fdisk that thing and refresh it.
Nevertheless even if it produces errors it should not cause kernel to die.
 


(In reply to Jeffrey Moyer from comment #5)
> (In reply to Jacek Pawlyta from comment #4)
> > Jeff,
> > 
> > As far as I remember the bug occured during system boot
> 
> Thanks, Jacek.  It looks like you had quite a few issues with device
> /dev/sdb.  Do you know what device that is, and why it might be having
> issues?

Comment 7 Jeff Moyer 2014-12-01 21:40:34 UTC
Hi Jacek,

I didn't realize the kernel died.  A WARN_ON_ONCE will allow execution to continue.  Of course, that might not always be the right thing to do!

Just to be clear, after the warning appeared in the logs, did the system hang?  In your case, it is very likely that a umount would cause that debug message to print, since write_inode_now would return an error (either EROFS or EIO).  That is expected behaviour since your disk is acting up.  The system should continue to run, though.

Comment 8 Claude Frantz 2015-02-16 10:58:22 UTC
Description of problem:
While operating the DVD drive

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.6-200.fc21.i686+PAE root=UUID=30a9af7c-df05-4249-a2ad-b920bcbd4f45 ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 vconsole.font=latarcyrheb-sun16 vconsole.keymap=de rhgb acpi_backlight=vendor acpi_osi=Linux quiet LANG=en_US.UTF-8
kernel:         3.18.6-200.fc21.i686+PAE
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 11858 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x50/0x80()
Modules linked in: isofs loop nls_utf8 udf crc_itu_t fuse ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 ath9k ath9k_common coretemp kvm_intel ath9k_hw ath kvm mac80211 btusb iTCO_wdt iTCO_vendor_support uvcvideo bluetooth videobuf2_vmalloc videobuf2_core asus_laptop videobuf2_memops v4l2_common joydev videodev media sparse_keymap snd_hda_codec_via snd_hda_codec_generic snd_hda_intel snd_hda_controller cfg80211 snd_hda_codec snd_hwdep lpc_ich mfd_core
 serio_raw tpm_tis rfkill snd_seq snd_seq_device snd_pcm snd_timer input_polldev tpm snd soundcore acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 i2c_algo_bit drm_kms_helper drm atl1e video
CPU: 0 PID: 11858 Comm: umount Not tainted 3.18.6-200.fc21.i686+PAE #1
Hardware name: ASUSTeK Computer Inc.         P50IJ               /P50IJ     , BIOS 203     12/04/2009
 00000000 0f17f255 00000000 c10b7eb4 c0a697fd 00000000 c10b7ee8 c04643c2
 c0c27f88 00000000 00002e52 c0c4af7c 00000043 c05d1970 00000043 c05d1970
 f44224e0 f442248c c0d37d40 c10b7ef8 c04644b2 00000009 00000000 c10b7f0c
Call Trace:
 [<c0a697fd>] dump_stack+0x41/0x52
 [<c04643c2>] warn_slowpath_common+0x82/0xa0
 [<c05d1970>] ? bdev_inode_switch_bdi+0x50/0x80
 [<c05d1970>] ? bdev_inode_switch_bdi+0x50/0x80
 [<c04644b2>] warn_slowpath_null+0x22/0x30
 [<c05d1970>] bdev_inode_switch_bdi+0x50/0x80
 [<c05d2532>] __blkdev_put+0x62/0x170
 [<c05d2df0>] blkdev_put+0x40/0x100
 [<c05a0e67>] kill_block_super+0x37/0x70
 [<c05a115d>] deactivate_locked_super+0x3d/0x50
 [<c05a1507>] deactivate_super+0x57/0x60
 [<c05bbd79>] cleanup_mnt+0x39/0x90
 [<c05bbe10>] __cleanup_mnt+0x10/0x20
 [<c047d109>] task_work_run+0x99/0xb0
 [<c0411243>] do_notify_resume+0x53/0x80
 [<c0a6f6a5>] work_notifysig+0x30/0x37

Comment 9 Josh Boyer 2015-02-16 14:01:32 UTC
*** Bug 1192829 has been marked as a duplicate of this bug. ***

Comment 10 Ferry Huberts 2015-02-17 14:40:13 UTC
undocked T440s with (probably) an external USB disc still mounted

Comment 11 Gleb 2015-02-19 16:42:09 UTC
Description of problem:
unmount flash disk (ntfs)

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.18.7-200.fc21.x86_64 root=UUID=9caf02ae-f251-4524-9ac8-71a3f98df19d ro rhgb quiet LANG=ru_RU.UTF-8
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 2671 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x62/0x90()
Modules linked in: fuse uas usb_storage ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw joydev coretemp kvm_intel kvm dell_wmi gpio_ich iTCO_wdt serio_raw sparse_keymap iTCO_vendor_support dell_laptop snd_hda_codec_realtek snd_hda_codec_generic dcdbas snd_hda_intel snd_hda_controller i2c_i801 snd_hda_codec snd_hwdep snd_seq snd_seq_device lpc_ich mfd_core arc4 iwldvm mac80211 snd_pcm iwlwifi cfg80211 snd_timer snd rfkill wmi soundcore tpm_tis tpm dell_smo8800 shpchp
 acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 tg3 i2c_algo_bit drm_kms_helper ptp hid_logitech_dj drm pps_core video
CPU: 1 PID: 2671 Comm: mount.ntfs Not tainted 3.18.7-200.fc21.x86_64 #1
Hardware name: Dell Inc. Latitude 13                     /0YVMFP, BIOS A01 08/03/2010
 0000000000000000 000000007e844dc7 ffff880082023d88 ffffffff8175e686
 0000000000000000 0000000000000000 ffff880082023dc8 ffffffff810991d1
 0000000000000000 ffff88011ac24e78 ffff88011ac24df0 ffffffff81c6f600
Call Trace:
 [<ffffffff8175e686>] dump_stack+0x46/0x58
 [<ffffffff810991d1>] warn_slowpath_common+0x81/0xa0
 [<ffffffff810992ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff8124f1a2>] bdev_inode_switch_bdi+0x62/0x90
 [<ffffffff8124fe18>] __blkdev_put+0x78/0x1c0
 [<ffffffff812508e0>] blkdev_put+0x50/0x140
 [<ffffffff81250a85>] blkdev_close+0x25/0x30
 [<ffffffff8121752c>] __fput+0xdc/0x1f0
 [<ffffffff8121768e>] ____fput+0xe/0x10
 [<ffffffff810b6587>] task_work_run+0xb7/0xf0
 [<ffffffff81013e27>] do_notify_resume+0x97/0xb0
 [<ffffffff817656c7>] int_signal+0x12/0x17

Comment 12 Iago Rubio 2015-02-19 22:00:50 UTC
Description of problem:
Unplugin an usb stick after unmounting it.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.5-101.fc20.x86_64 root=UUID=ef6c935e-b0b6-48c2-9168-5197adb33c0d ro rd.md=0 rd.lvm=0 rd.dm=0 vconsole.keymap=es rd.luks=0 vconsole.font=latarcyrheb-sun16 quiet LANG=en_US.UTF-8
kernel:         3.18.5-101.fc20.x86_64
runlevel:       N 3
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 27480 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x87/0x90()
sdd: detected capacity change from 1023016960 to 0
Modules linked in: vfat fat tcp_lp fuse bnep bluetooth ip6t_rpfilter cfg80211 rfkill ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw coretemp kvm_intel kvm snd_hda_codec_via snd_hda_codec_generic snd_hda_intel iTCO_wdt iTCO_vendor_support snd_hda_controller snd_hda_codec i2c_i801 snd_hwdep ppdev snd_seq snd_seq_device snd_pcm microcode snd_timer serio_raw lpc_ich snd mfd_core shpchp soundcore parport_pc parport asus_atk0110 acpi_cpufreq uas usb_storage i915 i2c_algo_bit video drm_kms_helper
drm ata_generic pata_acpi atl1e
CPU: 0 PID: 27480 Comm: umount Not tainted 3.18.5-101.fc20.x86_64 #1
Hardware name: System manufacturer System Product Name/P5KPL-AM EPU, BIOS 0501    08/20/2010
0000000000000000 0000000051158578 ffff880090c0fd68 ffffffff817455be
0000000000000000 0000000000000000 ffff880090c0fda8 ffffffff81094f91
0000000000000000 ffff88011ac291b8 ffff88011ac29130 ffffffff81c6c9a0
Call Trace:
[<ffffffff817455be>] dump_stack+0x46/0x58
[<ffffffff81094f91>] warn_slowpath_common+0x81/0xa0
[<ffffffff810950aa>] warn_slowpath_null+0x1a/0x20
[<ffffffff81240c17>] bdev_inode_switch_bdi+0x87/0x90
[<ffffffff81241834>] __blkdev_put+0x74/0x1a0
[<ffffffff812422d0>] blkdev_put+0x50/0x130
[<ffffffff8120b4a4>] kill_block_super+0x44/0x70
[<ffffffff8120b7c9>] deactivate_locked_super+0x49/0x60
[<ffffffff8120bd9e>] deactivate_super+0x4e/0x70
[<ffffffff812286e3>] cleanup_mnt+0x43/0x90
[<ffffffff81228782>] __cleanup_mnt+0x12/0x20
[<ffffffff810b1744>] task_work_run+0xc4/0xe0
[<ffffffff81013c77>] do_notify_resume+0x97/0xb0
[<ffffffff8174cc87>] int_signal+0x12/0x17

Comment 13 David W. Legg 2015-02-23 15:46:22 UTC
Description of problem:
# mkfs -t ext2 -L HP2TBUSB /dev/sdb1
mke2fs 1.42.12 (29-Aug-2014)
Creating filesystem with 511999744 4k blocks and 128000000 inodes
Filesystem UUID: d1680b09-667a-4ad3-bd7b-620ed2ced94b
Superblock backups stored on blocks: 
        32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632, 2654208, 
        4096000, 7962624, 11239424, 20480000, 23887872, 71663616, 78675968, 
        102400000, 214990848

Allocating group tables: done                            
Writing inode tables: done                            
ext2fs_mkdir: Attempt to read block from filesystem resulted in short read while creating root dir
[root@telly ~]#

This was an attempt to format a 2TB usb stick.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.7-200.fc21.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root LANG=en_GB.UTF-8
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 1566 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x62/0x90()
Modules linked in: fuse bnep bluetooth xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack bridge stp llc joydev snd_usb_audio uas usb_storage snd_usbmidi_lib hid_logitech_dj snd_rawmidi arc4 vfat fat ath9k ath9k_common ath9k_hw ath mac80211 intel_rapl x86_pkg_temp_thermal snd_hda_codec_hdmi coretemp snd_hda_intel snd_hda_controller kvm_intel cfg80211 snd_hda_codec kvm snd_hwdep snd_seq crct10dif_pclmul crc32_pclmul snd_seq_device iTCO_wdt crc32c_intel iTCO_vendor_support ghash_clmulni_intel snd_pcm rfkill i2c_i801 snd_timer mei_me mei snd lpc_ich mfd_core shpchp soundcore i915 i2c_algo_bit drm_kms_helper drm e1000e ptp pps_core video
CPU: 3 PID: 1566 Comm: mkfs.ext2 Not tainted 3.18.7-200.fc21.x86_64 #1
Hardware name:                  /D33217GKE, BIOS GKPPT10H.86A.0047.2013.1118.1714 11/18/2013
 0000000000000000 000000002f9d1c38 ffff8800328ffcf8 ffffffff8175e686
 0000000000000000 0000000000000000 ffff8800328ffd38 ffffffff810991d1
 0000000000000000 ffff8800498484b8 ffff880049848430 ffffffff81c6f600
Call Trace:
 [<ffffffff8175e686>] dump_stack+0x46/0x58
 [<ffffffff810991d1>] warn_slowpath_common+0x81/0xa0
 [<ffffffff810992ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff8124f1a2>] bdev_inode_switch_bdi+0x62/0x90
 [<ffffffff8124fe18>] __blkdev_put+0x78/0x1c0
 [<ffffffff812508e0>] blkdev_put+0x50/0x140
 [<ffffffff81250a85>] blkdev_close+0x25/0x30
 [<ffffffff8121752c>] __fput+0xdc/0x1f0
 [<ffffffff8121768e>] ____fput+0xe/0x10
 [<ffffffff810b65a4>] task_work_run+0xd4/0xf0
 [<ffffffff8109bac2>] do_exit+0x392/0xab0
 [<ffffffff8113aba4>] ? __audit_syscall_entry+0xc4/0x120
 [<ffffffff81021d9c>] ? do_audit_syscall_entry+0x6c/0x70
 [<ffffffff8109c277>] do_group_exit+0x47/0xc0
 [<ffffffff8109c304>] SyS_exit_group+0x14/0x20
 [<ffffffff81765429>] system_call_fastpath+0x12/0x17

Comment 14 Jaroslav Reznik 2015-03-03 16:32:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 15 Robert Halloran 2015-03-05 11:29:46 UTC
Description of problem:
secondary HD throwing multiple read errors on reboot

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.3-201.fc21.x86_64 root=UUID=ac7e95be-b2ba-4afd-b26d-4b5882c97e52 ro vconsole.font=latarcyrheb-sun16 elevator=noop rootflags=data=writeback rhgb quiet LANG=en_US.UTF-8
kernel:         3.18.3-201.fc21.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 707 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x62/0x90()
Modules linked in: kvm_amd eeepc_wmi kvm asus_wmi sparse_keymap video mxm_wmi crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel snd_usb_audio uvcvideo vfat fat videobuf2_vmalloc snd_usbmidi_lib videobuf2_core snd_hda_codec_realtek snd_rawmidi snd_hda_codec_generic videobuf2_memops snd_hda_codec_hdmi v4l2_common snd_hda_intel videodev joydev snd_hda_controller btusb media edac_core snd_hda_codec bluetooth snd_hwdep serio_raw edac_mce_amd snd_seq k10temp fam15h_power snd_seq_device sp5100_tco rfkill snd_pcm i2c_piix4 snd_timer snd soundcore tpm_infineon tpm_tis tpm shpchp wmi acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc ata_generic pata_acpi radeon i2c_algo_bit drm_kms_helper r8169 ttm mii drm pata_marvell
CPU: 2 PID: 707 Comm: fsck.ext3 Not tainted 3.18.3-201.fc21.x86_64 #1
Hardware name: To be filled by O.E.M. To be filled by O.E.M./M5A99FX PRO R2.0, BIOS 2501 04/07/2014
 0000000000000000 00000000a4877eaf ffff880807253d88 ffffffff8175da66
 0000000000000000 0000000000000000 ffff880807253dc8 ffffffff81099181
 0000000000000000 ffff88080e6a0e78 ffff88080e6a0df0 ffffffff81c6f600
Call Trace:
 [<ffffffff8175da66>] dump_stack+0x46/0x58
 [<ffffffff81099181>] warn_slowpath_common+0x81/0xa0
 [<ffffffff8109929a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff8124ef82>] bdev_inode_switch_bdi+0x62/0x90
 [<ffffffff8124fbf8>] __blkdev_put+0x78/0x1c0
 [<ffffffff812506c0>] blkdev_put+0x50/0x140
 [<ffffffff81250865>] blkdev_close+0x25/0x30
 [<ffffffff8121734c>] __fput+0xdc/0x1f0
 [<ffffffff812174ae>] ____fput+0xe/0x10
 [<ffffffff810b6557>] task_work_run+0xb7/0xf0
 [<ffffffff81013e27>] do_notify_resume+0x97/0xb0
 [<ffffffff81764a47>] int_signal+0x12/0x17

Comment 16 Damian Wrobel 2015-03-08 10:44:55 UTC
Description of problem:
Flashing usb stick using dd.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.8-201.fc21.i686+PAE root=UUID=f614657d-ea2c-4f14-89f6-027dd191fafa ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 vconsole.keymap=pl2 rhgb quiet LANG=en_US.UTF-8
kernel:         3.18.8-201.fc21.i686+PAE
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 2468 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x50/0x80()
Modules linked in: pl2303 ccm uas usb_storage fuse btusb bluetooth uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev iTCO_wdt media coretemp iTCO_vendor_support arc4 iwldvm ppdev kvm_intel kvm joydev serio_raw mac80211 iwlwifi snd_hda_codec_conexant snd_hda_codec_generic i2c_i801 r592 lpc_ich mfd_core memstick sdhci_pci sdhci mmc_core snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_seq snd_seq_device thinkpad_acpi snd_pcm cfg80211 parport_pc mei_me snd_timer tpm_tis mei wmi snd parport tpm rfkill soundcore acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc radeon i915 i2c_algo_bit ttm drm_kms_helper firewire_ohci e1000e firewire_core yenta_socket crc_itu_t drm ptp pps_core video
CPU: 1 PID: 2468 Comm: dd Not tainted 3.18.8-201.fc21.i686+PAE #1
Hardware name: LENOVO 20828XG/20828XG, BIOS 7VET94WW (3.24 ) 12/13/2011
 c0d0e9c7 3579e7eb 00000000 e5b39ebc c0a68105 00000000 e5b39ef0 c0463e12
 c0c25fd4 00000001 000009a4 c0c48fd4 00000043 c05d02d0 00000043 c05d02d0
 f15c34e0 f15c348c c0d35d40 e5b39f00 c0463f02 00000009 00000000 e5b39f14
Call Trace:
 [<c0a68105>] dump_stack+0x41/0x52
 [<c0463e12>] warn_slowpath_common+0x82/0xa0
 [<c05d02d0>] ? bdev_inode_switch_bdi+0x50/0x80
 [<c05d02d0>] ? bdev_inode_switch_bdi+0x50/0x80
 [<c0463f02>] warn_slowpath_null+0x22/0x30
 [<c05d02d0>] bdev_inode_switch_bdi+0x50/0x80
 [<c05d0e82>] __blkdev_put+0x62/0x170
 [<c05d1740>] blkdev_put+0x40/0x100
 [<c05d189f>] blkdev_close+0x1f/0x30
 [<c059f0a8>] __fput+0xc8/0x1d0
 [<c059f1ed>] ____fput+0xd/0x10
 [<c047c6c1>] task_work_run+0x81/0xb0
 [<c0411223>] do_notify_resume+0x53/0x80
 [<c0a6dd65>] work_notifysig+0x30/0x37

Comment 17 holzstock 2015-03-10 12:38:41 UTC
Description of problem:
Updating packages with yum while formatting a usb drive using gParted. gParted was not among updated packages.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.7-100.fc20.i686+PAE root=/dev/mapper/fedora_hsi--kbw--149--172--151--192-root ro rd.md=0 rd.dm=0 vconsole.keymap=de rd.luks=0 vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora_hsi-kbw-149-172-151-192/swap rd.lvm.lv=fedora_hsi-kbw-149-172-151-192/root rhgb quiet
kernel:         3.18.7-100.fc20.i686+PAE
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 3854 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x5f/0x70()
Modules linked in: xfs libcrc32c btrfs xor raid6_pq uas usb_storage tcp_lp ccm rfcomm fuse ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep btusb bluetooth iTCO_wdt iTCO_vendor_support mxm_wmi acer_wmi snd_hda_codec_hdmi snd_hda_codec_realtek sparse_keymap snd_hda_codec_generic coretemp kvm_intel arc4 kvm snd_hda_intel iwldvm mac80211 snd_hda_controller microcode uvcvideo joydev snd_hda_codec snd_hwdep videobuf2_vmalloc snd_seq videobuf2_core i2c_i801 videobuf2_memops serio_raw iwlwifi snd_seq_device sdhci_pci v4l2_common sdhci videodev snd_pcm tg3 cfg80211 media lpc_ich mmc_core ptp mfd_core rfkill snd_timer pps_core snd soundcore wmi video acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd grace sunrpc radeon i2c_algo_bit yenta_socket drm_kms_helper ttm drm
CPU: 1 PID: 3854 Comm: mkfs.fat Not tainted 3.18.7-100.fc20.i686+PAE #1
Hardware name: Acer            TravelMate 5730                /Homa                           , BIOS V1.29           02/21/2009
 c0ce4947 918637bb 00000000 ead39e5c c0a40833 00000000 ead39e8c c045f1ce
 c0bf93d0 00000001 00000f0e c0c1c3a0 00000043 c05bf1ff c05bf1ff f2822ae0
 f2822a8c c0d077e0 ead39e9c c045f2d2 00000009 00000000 ead39eb0 c05bf1ff
Call Trace:
 [<c0a40833>] dump_stack+0x41/0x52
 [<c045f1ce>] warn_slowpath_common+0x7e/0xa0
 [<c05bf1ff>] ? bdev_inode_switch_bdi+0x5f/0x70
 [<c05bf1ff>] ? bdev_inode_switch_bdi+0x5f/0x70
 [<c045f2d2>] warn_slowpath_null+0x22/0x30
 [<c05bf1ff>] bdev_inode_switch_bdi+0x5f/0x70
 [<c05bfd2c>] __blkdev_put+0x5c/0x160
 [<c05c05c0>] blkdev_put+0x40/0xf0
 [<c05c070f>] blkdev_close+0x1f/0x30
 [<c05903a4>] __fput+0xc4/0x1b0
 [<c05904cd>] ____fput+0xd/0x10
 [<c0476fc1>] task_work_run+0x91/0xb0
 [<c04615a9>] do_exit+0x279/0x900
 [<c058f1d4>] ? vfs_write+0x144/0x1d0
 [<c0461ca4>] do_group_exit+0x34/0xa0
 [<c04e8314>] ? __audit_syscall_entry+0x94/0xe0
 [<c0461d26>] SyS_exit_group+0x16/0x20
 [<c0a46d1f>] sysenter_do_call+0x12/0x12

Comment 18 holzstock 2015-03-10 13:03:04 UTC
Description of problem:
Restoring an .iso with the default "Disk Image Writer" on an USB drive

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.7-100.fc20.i686+PAE root=/dev/mapper/fedora_hsi--kbw--149--172--151--192-root ro rd.md=0 rd.dm=0 vconsole.keymap=de rd.luks=0 vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora_hsi-kbw-149-172-151-192/swap rd.lvm.lv=fedora_hsi-kbw-149-172-151-192/root rhgb quiet
kernel:         3.18.7-100.fc20.i686+PAE
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 2967 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x5f/0x70()
Modules linked in: tcp_lp vfat fat rfcomm fuse ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep btusb bluetooth iTCO_wdt iTCO_vendor_support mxm_wmi acer_wmi sparse_keymap coretemp kvm_intel kvm uvcvideo videobuf2_vmalloc arc4 videobuf2_core videobuf2_memops v4l2_common videodev microcode iwldvm mac80211 joydev media serio_raw i2c_i801 uas snd_hda_codec_realtek snd_hda_codec_hdmi iwlwifi sdhci_pci snd_hda_codec_generic usb_storage sdhci snd_hda_intel mmc_core snd_hda_controller cfg80211 lpc_ich mfd_core snd_hda_codec snd_hwdep snd_seq snd_seq_device rfkill snd_pcm tg3 ptp pps_core snd_timer snd soundcore wmi video acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd grace sunrpc radeon i2c_algo_bit yenta_socket drm_kms_helper ttm drm
CPU: 1 PID: 2967 Comm: copy-disk-image Not tainted 3.18.7-100.fc20.i686+PAE #1
Hardware name: Acer            TravelMate 5730                /Homa                           , BIOS V1.29           02/21/2009
 c0ce4947 2bd5aa24 00000000 ea9e3ec0 c0a40833 00000000 ea9e3ef0 c045f1ce
 c0bf93d0 00000001 00000b97 c0c1c3a0 00000043 c05bf1ff c05bf1ff f2174ae0
 f2174a8c c0d077e0 ea9e3f00 c045f2d2 00000009 00000000 ea9e3f14 c05bf1ff
Call Trace:
 [<c0a40833>] dump_stack+0x41/0x52
 [<c045f1ce>] warn_slowpath_common+0x7e/0xa0
 [<c05bf1ff>] ? bdev_inode_switch_bdi+0x5f/0x70
 [<c05bf1ff>] ? bdev_inode_switch_bdi+0x5f/0x70
 [<c045f2d2>] warn_slowpath_null+0x22/0x30
 [<c05bf1ff>] bdev_inode_switch_bdi+0x5f/0x70
 [<c05bfd2c>] __blkdev_put+0x5c/0x160
 [<c05c05c0>] blkdev_put+0x40/0xf0
 [<c05c070f>] blkdev_close+0x1f/0x30
 [<c05903a4>] __fput+0xc4/0x1b0
 [<c05904cd>] ____fput+0xd/0x10
 [<c0476fa9>] task_work_run+0x79/0xb0
 [<c0410d4b>] do_notify_resume+0x5b/0x90
 [<c0a46ee5>] work_notifysig+0x30/0x37

Comment 19 richard valo 2015-03-26 20:25:03 UTC
Description of problem:
Dont remember, maybe next time

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.19.1-201.fc21.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=fedora/root rd.luks.uuid=luks-8a34e1f7-ef33-4f72-b097-67f409dc4053 rhgb quiet LANG=en_US.utf8
kernel:         3.19.1-201.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 3767 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x62/0x90()
Modules linked in: vfat fat uas usb_storage ccm bnep bluetooth xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute binfmt_misc bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 ppdev nf_defrag_ipv4 parport_pc nf_nat_ipv4 parport nf_nat fuse nf_conntrack iptable_mangle vmw_vsock_vmci_transport vsock iptable_security iptable_raw vmw_vmci uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev media snd_hda_codec_realtek snd_hda_codec_generic arc4 ath9k ath9k_common snd_hda_intel ath9k_hw ath
 mac80211 snd_hda_controller cfg80211 snd_hda_codec snd_hwdep snd_seq coretemp snd_seq_device snd_pcm snd_timer snd serio_raw soundcore i2c_nforce2 shpchp asus_laptop sparse_keymap rfkill input_polldev acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt nouveau mxm_wmi i2c_algo_bit drm_kms_helper ttm drm r8169 ata_generic mii pata_acpi video wmi
CPU: 1 PID: 3767 Comm: pool Not tainted 3.19.1-201.fc21.x86_64 #1
Hardware name: ASUSTeK Computer Inc.  K50IN                /K50IN      , BIOS 223     07/05/2011
 0000000000000000 0000000018b6e521 ffff8800b89b3d88 ffffffff8176d865
 0000000000000000 0000000000000000 ffff8800b89b3dc8 ffffffff8109bc0a
 0000000000000000 ffff88011ac294f8 ffff88011ac29470 ffffffff81c6f840
Call Trace:
 [<ffffffff8176d865>] dump_stack+0x45/0x57
 [<ffffffff8109bc0a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109bd3a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff812530a2>] bdev_inode_switch_bdi+0x62/0x90
 [<ffffffff81253d18>] __blkdev_put+0x78/0x1c0
 [<ffffffff812547e0>] blkdev_put+0x50/0x140
 [<ffffffff81254985>] blkdev_close+0x25/0x30
 [<ffffffff8121b22f>] __fput+0xdf/0x1f0
 [<ffffffff8121b38e>] ____fput+0xe/0x10
 [<ffffffff810b8987>] task_work_run+0xb7/0xf0
 [<ffffffff81014cf7>] do_notify_resume+0x97/0xb0
 [<ffffffff817742c7>] int_signal+0x12/0x17

Comment 20 Jan Vlug 2015-03-30 00:47:54 UTC
Description of problem:
I think: accidentally shortly disconnecting a mounted external USB luks encrypted drive.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.19.2-201.fc21.x86_64 root=UUID=d7b908f7-49fb-41a0-8c1f-69f62f3001a1 ro rootflags=subvol=root rd.luks.uuid=luks-e5fbe4ab-0ae9-4428-87c0-5c98b5acadd1 rd.luks.uuid=luks-d53b5c50-2ac1-4800-aa17-a326b88144c1 rhgb quiet LANG=en_US.UTF-8
kernel:         3.19.2-201.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 5 PID: 14858 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x62/0x90()
Modules linked in: uas usb_storage tun rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 binfmt_misc bnep snd_hda_codec_via snd_hda_codec_hdmi snd_hda_codec_generic iwlmvm snd_hda_intel mac80211 snd_hda_controller snd_hda_codec x86_pkg_temp_thermal iwlwifi coretemp kvm_intel snd_hwdep snd_seq btusb iTCO_wdt snd_seq_device iTCO_vendor_support bluetooth
 kvm cfg80211 snd_pcm rtsx_pci_ms tpm_infineon rfkill memstick snd_timer tpm_tis i2c_i801 serio_raw tpm wmi snd mei_me mei lpc_ich soundcore shpchp nfsd auth_rpcgss nfs_acl lockd grace sunrpc btrfs xor raid6_pq dm_crypt rtsx_pci_sdmmc i915 mmc_core i2c_algo_bit drm_kms_helper crct10dif_pclmul e1000e crc32_pclmul crc32c_intel drm ghash_clmulni_intel rtsx_pci ptp mfd_core pps_core video
CPU: 5 PID: 14858 Comm: bash Not tainted 3.19.2-201.fc21.x86_64 #1
Hardware name: Notebook                         W740SU                          /W740SU                          , BIOS 4.6.5 04/21/2014
 0000000000000000 00000000845ef59a ffff8802cc4bfcf8 ffffffff8176e025
 0000000000000000 0000000000000000 ffff8802cc4bfd38 ffffffff8109bc0a
 0000000000000000 ffff8803709d84b8 ffff8803709d8430 ffffffff81c6f840
Call Trace:
 [<ffffffff8176e025>] dump_stack+0x45/0x57
 [<ffffffff8109bc0a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109bd3a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff81253222>] bdev_inode_switch_bdi+0x62/0x90
 [<ffffffff81253e98>] __blkdev_put+0x78/0x1c0
 [<ffffffff81254960>] blkdev_put+0x50/0x140
 [<ffffffff8121be01>] kill_block_super+0x41/0x80
 [<ffffffff8121c159>] deactivate_locked_super+0x49/0x60
 [<ffffffff8121c5ac>] deactivate_super+0x6c/0x80
 [<ffffffff8123a353>] cleanup_mnt+0x43/0xa0
 [<ffffffff8123a402>] __cleanup_mnt+0x12/0x20
 [<ffffffff810b89a4>] task_work_run+0xd4/0xf0
 [<ffffffff8109e482>] do_exit+0x302/0xa70
 [<ffffffff8109ec85>] do_group_exit+0x45/0xb0
 [<ffffffff8109ed04>] SyS_exit_group+0x14/0x20
 [<ffffffff81774809>] system_call_fastpath+0x12/0x17

Comment 21 Martin Bříza 2015-04-09 13:32:50 UTC
Description of problem:
Was trying to format a flash drive which is maybe broken to FAT32. Can't tell if it's in the kernel or the drive though.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.19.3-200.fc21.x86_64 root=/dev/mapper/luks-e901e9c4-5f89-48d7-a164-5ee0b836001c ro rd.luks.uuid=luks-46d3fb25-bb35-4dea-882a-cdfdae43d90b rd.luks.uuid=luks-e901e9c4-5f89-48d7-a164-5ee0b836001c vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_US.UTF-8
kernel:         3.19.3-200.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 6781 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x62/0x90()
Modules linked in: xfs libcrc32c jfs btrfs xor raid6_pq vfat fat uas usb_storage rfcomm fuse ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security bnep ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev media arc4 snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_controller snd_hda_codec iwlmvm mac80211 snd_hwdep snd_seq snd_seq_device snd_pcm iTCO_wdt intel_rapl iosf_mbi x86_pkg_temp_thermal iTCO_vendor_support
 coretemp kvm_intel rtsx_pci_ms memstick kvm iwlwifi btusb cfg80211 bluetooth snd_timer ie31200_edac edac_core lpc_ich mei_me shpchp mei i2c_i801 serio_raw tpm_tis thinkpad_acpi snd soundcore rfkill tpm wmi nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc dm_crypt i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper e1000e crct10dif_pclmul crc32_pclmul crc32c_intel drm ghash_clmulni_intel rtsx_pci ptp mfd_core pps_core video
CPU: 4 PID: 6781 Comm: mkfs.fat Not tainted 3.19.3-200.fc21.x86_64 #1
Hardware name: LENOVO 20BFS0W505/20BFS0W505, BIOS GMET62WW (2.10 ) 03/19/2014
 0000000000000000 000000004b76344e ffff88038fd0fd18 ffffffff8176e215
 0000000000000000 0000000000000000 ffff88038fd0fd58 ffffffff8109bc1a
 0000000000000000 ffff880407cf0e78 ffff880407cf0df0 ffffffff81c6f880
Call Trace:
 [<ffffffff8176e215>] dump_stack+0x45/0x57
 [<ffffffff8109bc1a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109bd4a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff81253422>] bdev_inode_switch_bdi+0x62/0x90
 [<ffffffff81254098>] __blkdev_put+0x78/0x1c0
 [<ffffffff81254b60>] blkdev_put+0x50/0x140
 [<ffffffff81254d05>] blkdev_close+0x25/0x30
 [<ffffffff8121b5af>] __fput+0xdf/0x1f0
 [<ffffffff8121b70e>] ____fput+0xe/0x10
 [<ffffffff810b8a94>] task_work_run+0xd4/0xf0
 [<ffffffff8109e492>] do_exit+0x302/0xa70
 [<ffffffff81022dfc>] ? do_audit_syscall_entry+0x6c/0x70
 [<ffffffff8109ec95>] do_group_exit+0x45/0xb0
 [<ffffffff8109ed14>] SyS_exit_group+0x14/0x20
 [<ffffffff81774a09>] system_call_fastpath+0x12/0x17

Comment 22 jd1008 2015-04-13 19:49:54 UTC
Description of problem:
I typed my password in the logon banner, pressed return, and the abrt popped the error banner.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.19.1-201.fc21.x86_64 root=UUID=fba3bf99-7948-45c5-83af-627c6e6b8b2a ro vconsole.font=latarcyrheb-sun16 LANG=en_US.UTF-8 libata.dma=0 -s
kernel:         3.19.1-201.fc21.x86_64
runlevel:       N 1
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 4112 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x62/0x90()
Modules linked in: vfat fat bnep bluetooth fuse nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev media iTCO_wdt iTCO_vendor_support arc4 dell_laptop ppdev gpio_ich dcdbas iwldvm mac80211 coretemp dell_wmi kvm_intel sparse_keymap i8k joydev snd_hda_codec_idt snd_hda_codec_generic kvm snd_hda_intel snd_hda_controller snd_hda_codec serio_raw i2c_i801 iwlwifi snd_hwdep sdhci_pci sdhci lpc_ich mfd_core mmc_core snd_seq snd_seq_device snd_pcm tpm_tis cfg80211 parport_pc snd_timer snd rfkill soundcore parport shpchp tpm acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc nouveau mxm_wmi i2c_algo_bit drm_kms_helper ttm drm firewire_ohci uas usb_storage firewire_core e1000e yenta_socket crc_itu_t
 ptp pps_core wmi video
CPU: 1 PID: 4112 Comm: dd Not tainted 3.19.1-201.fc21.x86_64 #1
Hardware name: Dell Inc. Latitude E6500                  /      , BIOS A29 06/04/2013
 0000000000000000 00000000ef96dff6 ffff880085723b48 ffffffff8176d865
 0000000000000000 0000000000000000 ffff880085723b88 ffffffff8109bc0a
 0000000000000000 ffff880215af4b38 ffff880215af4ab0 ffffffff81c6f840
Call Trace:
 [<ffffffff8176d865>] dump_stack+0x45/0x57
 [<ffffffff8109bc0a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109bd3a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff812530a2>] bdev_inode_switch_bdi+0x62/0x90
 [<ffffffff81253d18>] __blkdev_put+0x78/0x1c0
 [<ffffffff812547e0>] blkdev_put+0x50/0x140
 [<ffffffff81254985>] blkdev_close+0x25/0x30
 [<ffffffff8121b22f>] __fput+0xdf/0x1f0
 [<ffffffff8121b38e>] ____fput+0xe/0x10
 [<ffffffff810b89a4>] task_work_run+0xd4/0xf0
 [<ffffffff8109e482>] do_exit+0x302/0xa70
 [<ffffffff81013695>] ? __switch_to+0x1d5/0x5f0
 [<ffffffff8109ec85>] do_group_exit+0x45/0xb0
 [<ffffffff810aa73c>] get_signal+0x27c/0x610
 [<ffffffff8149b5d6>] ? read_iter_zero+0x56/0xc0
 [<ffffffff81014537>] do_signal+0x37/0x760
 [<ffffffff81014cc9>] do_notify_resume+0x69/0xb0
 [<ffffffff817742c7>] int_signal+0x12/0x17

Comment 23 Benjamin Ariel Nava Martinez 2015-04-14 00:23:53 UTC
Description of problem:
I don't know

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.19.3-200.fc21.x86_64 root=UUID=663248b8-f698-4fdf-b753-efb8e2f8d5f2 ro rhgb quiet LANG=es_MX.UTF-8
kernel:         3.19.3-200.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 2436 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x62/0x90()
Modules linked in: uas usb_storage bnep ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 ath9k ath3k btusb ath9k_common bluetooth ath9k_hw uvcvideo videobuf2_vmalloc videobuf2_core ath videobuf2_memops v4l2_common videodev mac80211 joydev media acer_wmi hid_multitouch iTCO_wdt sparse_keymap iTCO_vendor_support intel_rapl cfg80211 intel_soc_dts_thermal coretemp kvm_intel snd_hda_codec_hdmi kvm vfat fat snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller
 crct10dif_pclmul crc32_pclmul crc32c_intel snd_hda_codec snd_hwdep ghash_clmulni_intel snd_seq snd_seq_device serio_raw mmc_block snd_pcm rfkill snd_timer mei_txe dw_dmac wmi dw_dmac_core snd int3400_thermal i2c_hid acpi_thermal_rel mei int3403_thermal lpc_ich processor_thermal_device i2c_designware_platform i2c_designware_core shpchp i2c_i801 soundcore mfd_core iosf_mbi nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 r8169 i2c_algo_bit drm_kms_helper drm mii video sdhci_acpi sdhci mmc_core
CPU: 0 PID: 2436 Comm: xfce4-terminal Not tainted 3.19.3-200.fc21.x86_64 #1
Hardware name: Acer Aspire E3-112M/R2, BIOS V1.03 07/22/2014
 0000000000000000 00000000f28df7dc ffff88016bacbcf8 ffffffff8176e215
 0000000000000000 0000000000000000 ffff88016bacbd38 ffffffff8109bc1a
 0000000000000000 ffff88017ac29eb8 ffff88017ac29e30 ffffffff81c6f880
Call Trace:
 [<ffffffff8176e215>] dump_stack+0x45/0x57
 [<ffffffff8109bc1a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109bd4a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff81253422>] bdev_inode_switch_bdi+0x62/0x90
 [<ffffffff81254098>] __blkdev_put+0x78/0x1c0
 [<ffffffff81254b60>] blkdev_put+0x50/0x140
 [<ffffffff8121c001>] kill_block_super+0x41/0x80
 [<ffffffff8121c359>] deactivate_locked_super+0x49/0x60
 [<ffffffff8121c7ac>] deactivate_super+0x6c/0x80
 [<ffffffff8123a553>] cleanup_mnt+0x43/0xa0
 [<ffffffff8123a602>] __cleanup_mnt+0x12/0x20
 [<ffffffff810b8a94>] task_work_run+0xd4/0xf0
 [<ffffffff8109e492>] do_exit+0x302/0xa70
 [<ffffffff810a7ce2>] ? signal_wake_up_state+0x22/0x40
 [<ffffffff8177008a>] ? __schedule+0x2ca/0x850
 [<ffffffff8109ec95>] do_group_exit+0x45/0xb0
 [<ffffffff8109ed14>] SyS_exit_group+0x14/0x20
 [<ffffffff81774a09>] system_call_fastpath+0x12/0x17

Comment 24 Alex Regan 2015-04-14 13:10:11 UTC
Description of problem:
I believe it happened when working with a USB SD card reader

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.7-100.fc20.x86_64 root=/dev/mapper/vg_sage-lv_root ro vconsole.font=latarcyrheb-sun16 rd.lvm.lv=vg_sage/lv_root rd.lvm.lv=vg_sage/lv_swap net.ifnames=0 security=0 LANG=en_US.UTF-8
kernel:         3.18.7-100.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 3748 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x87/0x90()
Modules linked in: cdc_acm isofs tun tcp_lp vfat fat bnep bluetooth fuse arc4 md4 nls_utf8 cifs dns_resolver ip6table_filter fscache ip6_tables ebtable_nat ebtables bridge stp llc snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep joydev snd_seq snd_seq_device intel_rapl x86_pkg_temp_thermal coretemp kvm_intel snd_pcm iTCO_wdt iTCO_vendor_support kvm r8169 eeepc_wmi asus_wmi sparse_keymap rfkill mei_me mii snd_timer snd mei lpc_ich soundcore mfd_core serio_raw shpchp i2c_i801 crct10dif_pclmul video crc32_pclmul crc32c_intel ghash_clmulni_intel microcode wmi nfsd auth_rpcgss nfs_acl lockd grace sunrpc uas usb_storage radeon i2c_algo_bit drm_kms_helper ttm drm
CPU: 4 PID: 3748 Comm: umount Not tainted 3.18.7-100.fc20.x86_64 #1
Hardware name: ASUS All Series/H87M-E, BIOS 1102 05/16/2014
 0000000000000000 00000000e4fb5bd7 ffff88066ffefd68 ffffffff81745b5b
 0000000000000000 0000000000000000 ffff88066ffefda8 ffffffff81095041
 0000000000000000 ffff880130328178 ffff8801303280f0 ffffffff81c6c9a0
Call Trace:
 [<ffffffff81745b5b>] dump_stack+0x46/0x58
 [<ffffffff81095041>] warn_slowpath_common+0x81/0xa0
 [<ffffffff8109515a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff81240d97>] bdev_inode_switch_bdi+0x87/0x90
 [<ffffffff812419b4>] __blkdev_put+0x74/0x1a0
 [<ffffffff81242450>] blkdev_put+0x50/0x130
 [<ffffffff8120b5e4>] kill_block_super+0x44/0x70
 [<ffffffff8120b909>] deactivate_locked_super+0x49/0x60
 [<ffffffff8120bede>] deactivate_super+0x4e/0x70
 [<ffffffff81228863>] cleanup_mnt+0x43/0x90
 [<ffffffff81228902>] __cleanup_mnt+0x12/0x20
 [<ffffffff810b17f4>] task_work_run+0xc4/0xe0
 [<ffffffff81013c77>] do_notify_resume+0x97/0xb0
 [<ffffffff8174d247>] int_signal+0x12/0x17

Comment 25 Bob Bitton 2015-04-20 07:42:42 UTC
Description of problem:
I was transfering files to a USB storage device, transfer complete, ejected USB storage device, and here I am

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.19.3-200.fc21.i686 root=UUID=913b0601-3b1f-43e9-958d-087226faab3c ro rhgb quiet LANG=en_US.UTF-8
kernel:         3.19.3-200.fc21.i686
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 1966 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x50/0x80()
Modules linked in: vfat fat uas usb_storage fuse ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw intel_rapl coretemp uvcvideo kvm_intel asus_nb_wmi asus_wmi arc4 videobuf2_vmalloc ath9k snd_hda_codec_hdmi sparse_keymap snd_hda_codec_realtek videobuf2_core kvm snd_hda_codec_generic ath9k_common snd_intel_sst_acpi snd_intel_sst_core snd_hda_intel snd_soc_sst_mfld_platform snd_hda_controller snd_soc_core snd_hda_codec iTCO_wdt crc32_pclmul ath9k_hw rtsx_pci_ms videobuf2_memops
 joydev iTCO_vendor_support snd_hwdep snd_compress v4l2_common crc32c_intel snd_seq ath videodev mac80211 hid_logitech_hidpp snd_seq_device media serio_raw memstick cfg80211 snd_pcm wmi rfkill mei_txe lpc_ich snd_timer mei snd i2c_i801 soundcore snd_soc_sst_acpi iosf_mbi nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper drm r8169 mii rtsx_pci video hid_logitech_dj
CPU: 1 PID: 1966 Comm: umount Not tainted 3.19.3-200.fc21.i686 #1
Hardware name: ASUSTeK COMPUTER INC. X551MA/X551MA, BIOS X551MA.512 08/12/2014
 c0d039c7 6ca5f6c3 00000000 f0433ea4 c0a5d11f 00000000 f0433ed8 c045798b
 c0c19784 00000001 000007ae c0c3c8d7 00000043 c05c4a80 00000043 c05c4a80
 f30064e0 f300648c c0d29e00 f0433ee8 c0457a92 00000009 00000000 f0433efc
Call Trace:
 [<c0a5d11f>] dump_stack+0x41/0x52
 [<c045798b>] warn_slowpath_common+0x8b/0xc0
 [<c05c4a80>] ? bdev_inode_switch_bdi+0x50/0x80
 [<c05c4a80>] ? bdev_inode_switch_bdi+0x50/0x80
 [<c0457a92>] warn_slowpath_null+0x22/0x30
 [<c05c4a80>] bdev_inode_switch_bdi+0x50/0x80
 [<c05c5642>] __blkdev_put+0x62/0x170
 [<c05c5f00>] blkdev_put+0x40/0x100
 [<c0593b87>] kill_block_super+0x37/0x70
 [<c0593e8d>] deactivate_locked_super+0x3d/0x50
 [<c0594237>] deactivate_super+0x57/0x60
 [<c05aea39>] cleanup_mnt+0x39/0x90
 [<c05aead0>] __cleanup_mnt+0x10/0x20
 [<c046fd29>] task_work_run+0xc9/0xe0
 [<c05b05ae>] ? SyS_oldumount+0x9e/0xe0
 [<c04031d3>] do_notify_resume+0x53/0x80
 [<c0a629a5>] work_notifysig+0x30/0x37

Comment 26 Frank Büttner 2015-04-23 17:22:17 UTC
Description of problem:
Remove an usb stick after unmount.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.19.3-100.fc20.x86_64 root=/dev/mapper/VG_System-LV_System ro rd.md=0 rd.dm=0 rd.lvm.lv=VG_System/LV_Auslagerung1 rd.lvm.lv=VG_System/LV_System rd.luks=0 LANG=de_DE.UTF-8 SYSFONT=True KEYTABLE=de-latin1 rhgb quiet crashkernel=128M
kernel:         3.19.3-100.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 1243 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x87/0x90()
Modules linked in: xfs libcrc32c nilfs2 jfs btrfs xor raid6_pq vfat fat uas usb_storage arc4 md4 nls_utf8 cifs dns_resolver fscache tcp_lp bnep fuse vhost_net vhost macvtap macvlan ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat xt_CHECKSUM iptable_mangle tun ebtable_nat ebtables bridge stp llc nf_conntrack_ipv6 xt_comment nf_defrag_ipv6 nf_conntrack_ipv4 ip6table_filter nf_defrag_ipv4 xt_conntrack ip6_tables nf_conntrack btusb iTCO_wdt iTCO_vendor_support ppdev intel_rapl iosf_mbi x86_pkg_temp_thermal snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm bcm203x bluetooth coretemp joydev snd_timer rfkill lpc_ich shpchp mfd_core kvm_intel kvm parport_pc tpm_tis i2c_i801 snd soundcore crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel ie31200_edac mei_me edac_core mei parport tpm binfmt_misc i915 i2c_algo_bit drm_kms_helper drm e1000e firewire_ohci firewire_core ptp crc_itu_t pps_core video
CPU: 2 PID: 1243 Comm: umount Not tainted 3.19.3-100.fc20.x86_64 #1
Hardware name:                  /DQ77MK, BIOS MKQ7710H.86A.0067.2014.0703.1149 07/03/2014
 0000000000000000 000000003fa8e139 ffff8807c5203d68 ffffffff8175affa
 0000000000000000 0000000000000000 ffff8807c5203da8 ffffffff8109ad5a
 0000000000000000 ffff8807f5a507f8 ffff8807f5a50770 ffffffff81c6d020
Call Trace:
 [<ffffffff8175affa>] dump_stack+0x45/0x57
 [<ffffffff8109ad5a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109ae8a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff81249e37>] bdev_inode_switch_bdi+0x87/0x90
 [<ffffffff8124aa64>] __blkdev_put+0x74/0x1a0
 [<ffffffff8124b500>] blkdev_put+0x50/0x130
 [<ffffffff81214064>] kill_block_super+0x44/0x70
 [<ffffffff81214399>] deactivate_locked_super+0x49/0x60
 [<ffffffff8121498e>] deactivate_super+0x4e/0x70
 [<ffffffff812313a3>] cleanup_mnt+0x43/0x90
 [<ffffffff81231442>] __cleanup_mnt+0x12/0x20
 [<ffffffff810b76a4>] task_work_run+0xc4/0xe0
 [<ffffffff81014c37>] do_notify_resume+0x97/0xb0
 [<ffffffff81762627>] int_signal+0x12/0x17

Comment 27 Jeff Moyer 2015-04-24 18:49:30 UTC
I can't reproduce this problem.  Is there someone who can reproduce it reliably?  If so, would that someone be willing to run test kernels to try to narrow down the problem?

Comment 28 Laura Abbott 2015-04-25 01:30:05 UTC
The only way I've been able to reliably reproduce the problem is to run mkfs on a USB stick and yank it out while mkfs is still running. Obviously that's not a valid use case but it's food for thought.

Comment 29 Benjamin Ariel Nava Martinez 2015-04-25 01:45:07 UTC
This has happened to me quite a few times before and as you say I think it has to do with disconnecting the physical media while accessing the drive, e.g. if it hasn't finished ejecting it and disconnecting it. I can reproduce this by disconnecting it halfway through the ejecting process (even after all positions have been already unmounted).

Comment 30 Jordan Freeman 2015-05-01 20:31:11 UTC
Description of problem:
I have utilized Caja 1.8.2 of the MATE desktop environment 1.8.2 to eject the CF Type I based FAT32 file system prior to physicla removal of the staroge medium from a USB3 multi-media card reader.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.19.5-200.fc21.i686 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=fedora/root rd.luks.uuid=luks-9a33080d-8023-4be5-ac87-9d3b111878f8 rhgb quiet LANG=en_US.UTF-8
kernel:         3.19.5-200.fc21.i686
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 4565 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x50/0x80()
Modules linked in: vfat fat uas usb_storage fuse ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw gpio_ich iTCO_wdt iTCO_vendor_support snd_intel8x0 snd_intel8x0m ppdev snd_ac97_codec ac97_bus dell_laptop joydev snd_seq dcdbas ipw2200 snd_seq_device i8k serio_raw libipw lpc_ich snd_pcm lib80211 cfg80211 snd_timer snd rfkill soundcore irda parport_pc tpm_tis parport crc_ccitt tpm video acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt radeon i2c_algo_bit
 drm_kms_helper ttm tg3 drm yenta_socket ata_generic pata_acpi ptp pps_core
CPU: 0 PID: 4565 Comm: umount Not tainted 3.19.5-200.fc21.i686 #1
Hardware name: Dell Inc. Latitude D610                   /0M7181, BIOS A06 10/02/2005
 c0d039c7 dbe4b3df 00000000 f3791ea4 c0a5d9ef 00000000 f3791ed8 c045798b
 c0c198d8 00000000 000011d5 c0c3c9eb 00000043 c05c4ad0 00000043 c05c4ad0
 f3c216e0 f3c2168c c0d29e00 f3791ee8 c0457a92 00000009 00000000 f3791efc
Call Trace:
 [<c0a5d9ef>] dump_stack+0x41/0x52
 [<c045798b>] warn_slowpath_common+0x8b/0xc0
 [<c05c4ad0>] ? bdev_inode_switch_bdi+0x50/0x80
 [<c05c4ad0>] ? bdev_inode_switch_bdi+0x50/0x80
 [<c0457a92>] warn_slowpath_null+0x22/0x30
 [<c05c4ad0>] bdev_inode_switch_bdi+0x50/0x80
 [<c05c5692>] __blkdev_put+0x62/0x170
 [<c05c5f50>] blkdev_put+0x40/0x100
 [<c0593bd7>] kill_block_super+0x37/0x70
 [<c0593edd>] deactivate_locked_super+0x3d/0x50
 [<c0594287>] deactivate_super+0x57/0x60
 [<c05aea89>] cleanup_mnt+0x39/0x90
 [<c05aeb20>] __cleanup_mnt+0x10/0x20
 [<c046fd29>] task_work_run+0xc9/0xe0
 [<c05b05fe>] ? SyS_oldumount+0x9e/0xe0
 [<c04031d3>] do_notify_resume+0x53/0x80
 [<c0a632a5>] work_notifysig+0x30/0x37

Comment 31 strasharo2000 2015-05-02 15:55:43 UTC
I ejected a SD card from an external USB card reader when I received this error.

Comment 32 clairborne 2015-07-03 01:20:06 UTC
Description of problem:
It just popped-up.  Who knows.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.19.8-100.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.19.8-100.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 1471 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x87/0x90()
Modules linked in: nls_utf8 udf crc_itu_t fuse ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 bnep bluetooth xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops acer_wmi sparse_keymap snd_hda_codec_conexant snd_hda_codec_generic v4l2_common snd_hda_intel snd_hda_controller snd_hda_codec arc4 snd_hwdep snd_seq snd_seq_device videodev snd_pcm ath9k media ath9k_common ath9k_hw kvm_amd ath kvm mac80211 joydev serio_raw cfg80211 snd_timer k10temp sp5100_tco rfkill
snd i2c_piix4 soundcore shpchp wmi acpi_cpufreq nfsd video auth_rpcgss nfs_acl lockd grace sunrpc radeon i2c_algo_bit drm_kms_helper ttm atl1c drm
CPU: 1 PID: 1471 Comm: mount Not tainted 3.19.8-100.fc20.x86_64 #1
Hardware name: eMachines eME443/HM50-BZ, BIOS V1.08 09/26/2012
0000000000000000 00000000dae084a8 ffff880052603c38 ffffffff8175c199
0000000000000000 0000000000000000 ffff880052603c78 ffffffff8109ad5a
0000000000000000 ffff88006e0284b8 ffff88006e028430 ffffffff81c6d160
Call Trace:
[<ffffffff8175c199>] dump_stack+0x45/0x57
[<ffffffff8109ad5a>] warn_slowpath_common+0x8a/0xc0
[<ffffffff8109ae8a>] warn_slowpath_null+0x1a/0x20
[<ffffffff8124a177>] bdev_inode_switch_bdi+0x87/0x90
[<ffffffff8124ada4>] __blkdev_put+0x74/0x1a0
[<ffffffff8124b840>] blkdev_put+0x50/0x130
[<ffffffff81214384>] kill_block_super+0x44/0x70
[<ffffffff812146b9>] deactivate_locked_super+0x49/0x60
[<ffffffff812153f0>] mount_bdev+0x1d0/0x1f0
[<ffffffffa0833320>] ? udf_load_vrs+0x3f0/0x3f0 [udf]
[<ffffffffa0830425>] udf_mount+0x15/0x20 [udf]
[<ffffffff81215cf9>] mount_fs+0x39/0x1b0
[<ffffffff81231297>] vfs_kern_mount+0x67/0x110
[<ffffffff8123404c>] do_mount+0x22c/0xb50
[<ffffffff8119c9d4>] ? __get_free_pages+0x14/0x50
[<ffffffff81234cb2>] SyS_mount+0xa2/0x110
[<ffffffff81763549>] system_call_fastpath+0x12/0x17

Comment 33 Jason Tibbitts 2015-08-13 22:08:29 UTC
*** Bug 1192693 has been marked as a duplicate of this bug. ***

Comment 34 Jason Tibbitts 2015-08-14 04:53:51 UTC
Can anyone reproduce this on anything newer than 3.19.8?

Similar issue in launchpad: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1434764
That includes a possible reproducer by running dd, but the ticket has since expired.

Comment 35 Kumar Amit Mehta 2015-09-02 09:07:49 UTC
Popped up on Fedora 21 while trying to do I/O on USB external hard drive. I was copying a big file (.vmdk) between host File system (ext4) and external USB hard drive and copy operation failed after few seconds (about a minute or so) and then I removed the partially copied files from the USB external hard drive and re-issued the copy operation, which completed without any error. Kernel logs and system configuration information below:

<Logs>
[  250.229790] ------------[ cut here ]------------
[  250.229799] WARNING: CPU: 2 PID: 2732 at fs/block_dev.c:67 bdev_inode_switch_bdi+0x62/0x90()
[  250.229801] Modules linked in: ses enclosure uas usb_storage xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack tun bridge stp llc ccm vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) vmnet(OE) ppdev parport_pc parport fuse vmw_vsock_vmci_transport vsock vmw_vmci vmmon(OE) btusb uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev media bluetooth intel_rapl x86_pkg_temp_thermal coretemp snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec kvm_intel iTCO_wdt arc4 iwldvm snd_hwdep mac80211 snd_seq snd_seq_device iTCO_vendor_support snd_pcm kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel snd_timer
[  250.229841]  thinkpad_acpi iwlwifi tpm_tis cfg80211 mei_me serio_raw snd rtsx_pci_ms memstick tpm soundcore mei wmi rfkill lpc_ich i2c_i801 shpchp nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper r8169 drm mii rtsx_pci mfd_core video
[  250.229862] CPU: 2 PID: 2732 Comm: pool Tainted: G        W  OE  3.18.7-200.fc21.x86_64 #1
[  250.229864] Hardware name: LENOVO 62774UQ/62774UQ, BIOS HEET31WW (1.12 ) 04/23/2013
[  250.229865]  0000000000000000 00000000e5376edb ffff88007fc7bd38 ffffffff8175e686
[  250.229868]  0000000000000000 0000000000000000 ffff88007fc7bd78 ffffffff810991d1
[  250.229870]  0000000000000000 ffff880117120b38 ffff880117120ab0 ffffffff81c6f600
[  250.229872] Call Trace:
[  250.229877]  [<ffffffff8175e686>] dump_stack+0x46/0x58
[  250.229882]  [<ffffffff810991d1>] warn_slowpath_common+0x81/0xa0
[  250.229885]  [<ffffffff810992ea>] warn_slowpath_null+0x1a/0x20
[  250.229887]  [<ffffffff8124f1a2>] bdev_inode_switch_bdi+0x62/0x90
[  250.229890]  [<ffffffff8124fe18>] __blkdev_put+0x78/0x1c0
[  250.229893]  [<ffffffff812508e0>] blkdev_put+0x50/0x140
[  250.229896]  [<ffffffff81217f91>] kill_block_super+0x41/0x80
[  250.229902]  [<ffffffffa074ff5b>] fuse_kill_sb_blk+0x4b/0x60 [fuse]
[  250.229905]  [<ffffffff812182d9>] deactivate_locked_super+0x49/0x60
[  250.229907]  [<ffffffff8121872c>] deactivate_super+0x6c/0x80
[  250.229910]  [<ffffffff81236713>] cleanup_mnt+0x43/0xa0
[  250.229912]  [<ffffffff812367c2>] __cleanup_mnt+0x12/0x20
[  250.229915]  [<ffffffff810b6587>] task_work_run+0xb7/0xf0
[  250.229918]  [<ffffffff81013e27>] do_notify_resume+0x97/0xb0
[  250.229922]  [<ffffffff817656c7>] int_signal+0x12/0x17
[  250.229924] ---[ end trace 6d55b15894ff4806 ]---


I see another stack trace before this one:
<from kernel logs>
[  248.664585] ses 8:0:0:1: Attached scsi generic sg3 type 13
[  248.721145]  sdc: sdc1
[  248.722826] sd 8:0:0:0: [sdc] Attached SCSI disk
[  249.373886] ------------[ cut here ]------------
[  249.373895] WARNING: CPU: 3 PID: 2518 at fs/fs-writeback.c:1215 __mark_inode_dirty+0x268/0x270()
[  249.373897] bdi-block not registered
[  249.373898] Modules linked in: ses enclosure uas usb_storage xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack tun bridge stp llc ccm vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) vmnet(OE) ppdev parport_pc parport fuse vmw_vsock_vmci_transport vsock vmw_vmci vmmon(OE) btusb uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev media bluetooth intel_rapl x86_pkg_temp_thermal coretemp snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec kvm_intel iTCO_wdt arc4 iwldvm snd_hwdep mac80211 snd_seq snd_seq_device iTCO_vendor_support snd_pcm kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel snd_timer
[  249.373937]  thinkpad_acpi iwlwifi tpm_tis cfg80211 mei_me serio_raw snd rtsx_pci_ms memstick tpm soundcore mei wmi rfkill lpc_ich i2c_i801 shpchp nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper r8169 drm mii rtsx_pci mfd_core video
[  249.373957] CPU: 3 PID: 2518 Comm: mount.ntfs Tainted: G           OE  3.18.7-200.fc21.x86_64 #1
[  249.373959] Hardware name: LENOVO 62774UQ/62774UQ, BIOS HEET31WW (1.12 ) 04/23/2013
[  249.373961]  0000000000000000 00000000a2a09420 ffff88008d34ba78 ffffffff8175e686
[  249.373963]  0000000000000000 ffff88008d34bad0 ffff88008d34bab8 ffffffff810991d1
[  249.373965]  0000000300000001 ffff8801179010a8 ffff880117120ab0 ffff8801179012c0
[  249.373968] Call Trace:
[  249.373973]  [<ffffffff8175e686>] dump_stack+0x46/0x58
[  249.373978]  [<ffffffff810991d1>] warn_slowpath_common+0x81/0xa0
[  249.373981]  [<ffffffff81099245>] warn_slowpath_fmt+0x55/0x70
[  249.373984]  [<ffffffff81240c98>] __mark_inode_dirty+0x268/0x270
[  249.373988]  [<ffffffff81249b9c>] __set_page_dirty+0x7c/0xe0
[  249.373990]  [<ffffffff81249d21>] mark_buffer_dirty+0x61/0xd0
[  249.373992]  [<ffffffff8124a561>] __block_commit_write.isra.20+0x81/0xb0
[  249.373995]  [<ffffffff8124bb33>] block_write_end+0x33/0x80
[  249.373998]  [<ffffffff8124cbd6>] ? block_write_begin+0x46/0x90
[  249.374001]  [<ffffffff8124ee10>] blkdev_write_end+0x20/0x40
[  249.374005]  [<ffffffff811979d8>] generic_perform_write+0x118/0x1f0
[  249.374008]  [<ffffffff8119a0c0>] __generic_file_write_iter+0x1e0/0x390
[  249.374011]  [<ffffffff8124f20e>] blkdev_write_iter+0x3e/0xc0
[  249.374015]  [<ffffffff81214fce>] new_sync_write+0x8e/0xd0
[  249.374030]  [<ffffffff81215957>] vfs_write+0xb7/0x1f0
[  249.374032]  [<ffffffff81226b89>] ? putname+0x29/0x40
[  249.374035]  [<ffffffff81216642>] SyS_pwrite64+0x92/0xc0
[  249.374040]  [<ffffffff81765429>] system_call_fastpath+0x12/0x17
[  249.374042] ---[ end trace 6d55b15894ff4805 ]---
<from kernel logs>

System information:
$ cat /etc/fedora-release 
Fedora release 21 (Twenty One)

$ uname -a
Linux discworld 3.18.7-200.fc21.x86_64 #1 SMP Wed Feb 11 21:53:17 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Behavior:
No hangs or system crash

Comment 36 Fedora Kernel Team 2015-11-23 17:10:38 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.